using Microsoft.EntityFrameworkCore;
using ModelsLib;
using ModelsLib.BDD_Models;
using System.Collections.Generic;

public class PhotoShareDbContext : DbContext
{
    public PhotoShareDbContext(DbContextOptions<PhotoShareDbContext> options)
        : base(options)
    {
    }
    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<ParametersDb>().ToTable("T_Params");
        modelBuilder.Entity<ShootingData>().ToTable("T_ShootingData");
        modelBuilder.Entity<DesireData>().ToTable("T_DesireData");
    }
    public DbSet<ParametersDb> ConfigDb { get; set; }
    public DbSet<ShootingData> ShootingDb { get; set; }
    public DbSet<DesireData> DesireDb { get; set; }
}